.\" generated with Ronn-NG/v0.9.1
.\" http://github.com/apjanke/ronn-ng/tree/0.9.1
.TH "GO\-SENDXMPP" "1" "February 2022" ""
.SH "NAME"
\fBgo\-sendxmpp\fR \- A little tool to send messages to an XMPP contact or MUC\.
.SH "SYNOPSIS"
\fBgo\-sendxmpp\fR [\-cdintx] [\-f value] [\-\-help] [\-j value] [\-m value] [\-p value] [\-r value] [\-u value] [parameters \|\.\|\.\|\.]
.SH "DESCRIPTION"
A little tool to send messages to an XMPP contact or MUC inspired by (but not as powerful as) \fBsendxmpp\fR\.
.br
You can either pipe a programs output to \fBgo\-sendxmpp\fR, write in your terminal (put \fB^D\fR in a new line to finish) or send the input from a file (\fB\-m\fR or \fB\-\-message\fR)\. The account data is expected at \fB~/\.config/go\-sendxmpp/config\fR (preferred), \fB~/\.config/go\-sendxmpp/sendxmpprc\fR (deprecated) \fB~/\.sendxmpprc\fR (for compatibility with the original perl sendxmpp) if no other configuration file location is specified with \fB\-f\fR or \fB\-\-file\fR\.
.SH "OPTIONS"
\fB\-c\fR, \fB\-\-chatroom\fR=[\fIvalue\fR]: Send message to a chatroom\.
.P
\fB\-d\fR, \fB\-\-debug\fR: Show debugging info\.
.P
\fB\-f\fR, \fB\-\-file\fR=[\fIvalue\fR]: Set configuration file\. (Default: ~/\.config/go\-sendxmpp/config)
.P
\fB\-\-help\fR: Show help\.
.P
\fB\-\-http\-upload=\fR[\fIvalue\fR]: Send a file via http\-upload\.
.P
\fB\-i\fR, \fB\-\-interactive\fR: Interactive mode (for use with e\.g\. \fBtail \-f\fR)\.
.P
\fB\-j\fR, \fB\-\-jserver\fR=[\fIvalue\fR]: XMPP server address\.
.P
\fB\-l\fR, \fB\-\-listen\fR: Listen for messages and print them to stdout\. If JIDs are specified only messages from those contacts are shown\. If no JIDs are specified all received messages will be shown\.
.P
\fB\-m\fR, \fB\-\-message\fR=[\fIvalue\fR]: Set file including the message\.
.P
\fB\-\-muc\-password\fR=[\fIvalue\fR]: Password for password protected MUCs\.
.P
\fB\-n\fR, \fB\-\-no\-tls\-verify\fR: Skip verification of TLS certificates (not recommended)\.
.P
\fB\-\-tls\-version\fR=[\fIvalue\fR]: Minimal TLS version\. 10 (TLSv1\.0), 11 (TLSv1\.1) (Default: 12)
.P
\fB\-p\fR, \fB\-\-password\fR=[\fIvalue\fR]: Password for XMPP account\.
.P
\fB\-\-raw\fR: Send raw XML\. To send raw XML to a contact as normal chat message no contact must be specified\. To send raw XML to a MUC you have to specify the MUC via \fB\-c\fR and \fBgo\-sendxmpp\fR will join the MUC\.
.P
\fB\-r\fR, \fB\-\-resource\fR=[\fIvalue\fR]: Set resource\. When sending to a chatroom this is used as 'alias'\.
.P
\fB\-\-timeout=\fR[\fIvalue\fR]: Connection timeout in seconds\. (Default: 10)
.P
\fB\-t\fR, \fB\-\-tls\fR: Use direct TLS\.
.P
\fB\-u\fR, \fB\-\-username\fR=[\fIvalue\fR]: Username for XMPP account (JID)\.
.P
\fB\-\-version\fR: Show version information\.
.SH "CHAT"
Feel free to join \fIhttps://join\.jabber\.network/#go\-sendxmpp@chat\.mdosch\.de?join\fR\.
.SH "AUTHOR"
Written by Martin Dosch\.
.SH "REPORTING BUGS"
Report bugs at \fIhttps://salsa\.debian\.org/mdosch/go\-sendxmpp/issues\fR\.
.SH "COPYRIGHT"
Copyright (c) 2018 \- 2021 Martin Dosch License: BSD 2\-clause License
.SH "SEE ALSO"
go\-sendxmpp(5), sendxmpp(1)
